/*
 Theme Name:   Twentytwenty Child
 Description:  Kulturlobby Winterthur
 Author:       waldbach medien, winterthur
 Author URI:   https://www.waldbachmedien.ch
 Template:     twentytwenty
 Version:      1.0
 Text Domain:  twentytwenty-child
*/


/* root vars */

:root {
	--kmp-theme-colour:#a1004c;
	--kmp-font-colour:#a1004c;
	--kmp-hover-colour:#fd713c;
	--kmp-alt-colour:#fdc5a2;
}

/* webfonts */
/*
@font-face {
	font-family: 'AkzidenzGroteskBQ';
	src:url('fonts/AkzidenzGroteskBQ-Bold.woff2') format('woff2'),
	    url('fonts/AkzidenzGroteskBQ-Bold.woff') format('woff'),
	    url('fonts/AkzidenzGroteskBQ-Bold.ttf') format('truetype');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}
*/
@font-face {
	font-family: 'News Gothic Std';
	src:url('fonts/NewsGothicStd-Bold.woff2') format('woff2'),
	    url('fonts/NewsGothicStd-Bold.woff') format('woff'),
	    url('fonts/NewsGothicStd-Bold.ttf') format('truetype');
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
  font-family: 'MADEBonVoyage';
  src: url('fonts/MADEBonVoyage.woff2') format('woff2'),
      url('fonts/MADEBonVoyage.woff') format('woff'),
      url('fonts/MADEBonVoyage.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'HelveticaNeue';
  src: url('fonts/HelveticaNeueLTStd-Lt.woff2') format('woff2'),
       url('fonts/HelveticaNeueLTStd-Lt.woff') format('woff'),
       url('fonts/HelveticaNeueLTStd-Lt.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}


/* bg */

body {
	/*background-color: rgba(62,70,254,0.2) !important;*/
	background-color: #fff !important;
}

#site-header, 
#site-content,
.footer-nav-widgets-wrapper, 
#site-footer,
.entry-header { background: none !important; }


/* layout */
.header-navigation-wrapper { 
	flex-direction: column-reverse;
	align-items: flex-end;
}
.header-inner { align-items: baseline; }
.header-toggles { transform: translateY(-35px); }

.toggle-text,
.toggle-icon svg,
.toggle-wrapper::before { display: none !important; }


#site-content small {
	font-size: 0.8em !important;
}


/* hamburger */

.toggle-inner {
	position: relative;
	float: right;
	display: block;
	height: auto;
	margin-top: -.3em;
}
.header-inner .toggle { 
	height: auto;
}
.toggle-inner::before,
.toggle-inner::after {
	content:'';
	display: block;
}
.toggle-inner::before,
.toggle-inner .toggle-icon,
.toggle-inner::after {
	overflow:visible;
	position: relative;
	float: left;
	width: 1.5em !important;
	height: 0.3em !important;
	margin-bottom: 0.2em;
	border-radius: 1em;
	clear: both;
	background: #000;
	transition: background 200ms ease-out 0ms;
}
.toggle-inner:hover::before,
.toggle-inner:hover .toggle-icon,
.toggle-inner:hover::after {
	background: var(--kmp-alt-colour);
}
.toggle-icon .svg-icon path { display: none !important; }



/* modal menu */

.menu-modal.active {
	background: rgba(26,70,254,0.2);
}
.menu-modal .toggle svg { display: none; }

.menu-modal .toggle::before,
.menu-modal .toggle::after {
	content:'';
	width: 1.5em;
	height: 0.3em;
	position: relative;
	float: left;
	border-radius: 1em;
	clear: both;
	background: #000;
	transform: rotate(45deg);
	transform-origin: 50% 50%;
	transition: background 200ms ease-out 0ms;
}
.menu-modal .toggle::before {
	position: absolute;
	transform: rotate(-45deg);
}
.menu-modal .toggle:hover::before,
.menu-modal .toggle:hover::after {
	background: var(--kmp-alt-colour);
}



/* styles */
body {
	font-family: 'HelveticaNeue', 'Helvetica Neue', Helvetica, Arial;
}

h1,h2,h3,h4,h5 {
	font-family: 'News Gothic Std', Arial;
	line-height: 1.333;
	letter-spacing: 0 !important;
}
/*
h1.entry-title,
li.menu-item a {
	text-transform: lowercase;
}
*/


.entry-content,
.header-footer-group p,
h1,h2,h3,h4,h5 {
	color: var(--kmp-font-colour);
}

.footer-inner p {
	color: #000;	
}


/* fliesstext */

.entry-content,
.entry-content p,
.entry-content li,
.header-footer-group p {
	font-family: 'HelveticaNeue', 'Helvetica Neue', Helvetica, Arial;
	font-size:14pt; /* 9pt * 1.333 Indesign size patching.. */
	line-height: 1.333 !important;
}


/* header */

.entry-header h1
.entry-content h1,
.entry-content h2,
.entry-content h3,
.entry-content h4,
.primary-menu a,
.modal-menu > li > a,
.modal-menu > li > .ancestor-wrapper > a {
	font-family: 'News Gothic Std', Arial;
	line-height: 1.333;
	letter-spacing: 0 !important;
	font-weight: normal;
}
.entry-header h1,
.entry-content h1 { font-size: 32pt; }
.entry-content h2 { font-size: 20pt; }
.entry-content h3 { font-size: 16pt; }
.entry-content h4 { font-size: 12pt; }

@media (min-width:700px) {
	.entry-header {
		padding-bottom: 4rem !important;
	}
}


/* hr */

.entry-content hr::after, 
hr.styled-separator::after,
.entry-content hr::before,
hr.styled-separator::before {
	display: none;
}
.entry-content hr,
hr.styled-separator {
	background: none;
	border-top: 1px solid;
	border-color: var(--kmp-font-colour);
}

/* button */

.wp-block-button.center {
	width: 100%;
	text-align: center;
}

/* acf fields */
.acf-field .acf-label label { 
	font-family: 'News Gothic Std', Arial;
	line-height: 1.333;
	letter-spacing: 0 !important;
	font-weight: normal !important;
	color: #000;
}
.acf-field .acf-label .description,
.acf-checkbox-list label {
	font-size: 11pt;
	font-weight: normal !important;
	color: #000;	
}

.acf-fields > .acf-field {
	border: none !important;
}
.acf-icon.-globe::before { margin-top:0.6em !important; }
.acf-form-submit {
	margin-top: 30px;
	text-align: center;
}
.acf-checkbox-list input[type="checkbox"] { margin-top: -12px !important; }

input[type="text"],
input[type="password"],
input[type="email"],
input[type="url"],
input[type="date"],
input[type="month"],
input[type="time"],
input[type="datetime"],
input[type="datetime-local"],
input[type="week"],
input[type="number"]:not(.cur-year),
input[type="search"],
input[type="tel"],
input[type="color"],
select:not(.flatpickr-monthDropdown-months),
textarea {
	border: 0.2em #000 solid !important;
	border-radius: .15em;
	font-family: 'HelveticaNeue', 'Helvetica Neue', Helvetica, Arial;
	color: #000;
	padding: 10px !important;
	font-size: inherit;
}

input[type="checkbox"] {
	border: 1px #000 solid !important;
	color: #000;
}

select:not(.flatpickr-monthDropdown-months) { background-color:transparent; }

.acf-input .acf-radio-list label { color:#000; }

.acf-input .acf-radio-list li label {
	display: flex;
}

br { clear:both; }

/* navigation */

.primary-menu > li { margin-left: 3em !important; }

.primary-menu a,
.modal-menu > li > a,
.modal-menu > li > .ancestor-wrapper > a {
	font-size: 20pt;
	color: var(--kmp-font-colour) !important;
	transition: color 200ms ease-out 0ms;
}
.primary-menu a:hover,
.primary-menu a:focus,
.modal-menu > li > a:hover,
.modal-menu > li > a:focus,
.modal-menu > li > .ancestor-wrapper > a:hover,
.modal-menu > li > .ancestor-wrapper > a:focus,
.modal-menu > li.current-menu-item a,
.primary-menu .current_page_ancestor,
.primary-menu li.current-menu-item > a,
.primary-menu li.current-menu-item > .link-icon-wrapper > a {
	color: var(--kmp-alt-colour) !important;
	text-decoration: none !important;
}
.menu-modal nav * {
	border: none;
}

/* links */

.entry-content a,
.pagination-single a {
	color: var(--kmp-font-colour);
	transition: color 200ms ease-out 0ms;
	text-decoration: none;
}
.entry-content a:focus,
.entry-content a:hover,
.pagination-single a:focus,
.pagination-single a:hover {
	color: var(--kmp-hover-colour);
	text-decoration: none;
}
 
/* buttons */

.kmp-theme-btn {
	position: relative;
	float: left;
}

.kmp-tile-filter,
.kmp-theme-btn,
input[type="submit"],
.entry-content a.wp-block-button__link,
.wp-block-button a.wp-block-button__link,
#sb_instagram #sbi_load .sbi_load_btn, 
#sb_instagram .sbi_follow_btn a,
.sl-image .kmp-tile-links a {
	color: #000 !important;
	text-decoration: none !important;
	border: 0.2em #000 solid;
	border-radius: .15em;
	font-family: 'News Gothic Std', Arial;
	letter-spacing: 0 !important;
	text-transform: none;
	background-color: transparent !important;
	transition: background-color 200ms ease-out 0ms !important;
	font-size: 16pt;
	padding: 10px 20px;
}

@media(max-width: 800px)
{
	.kmp-tile-filter,
	.kmp-theme-btn,
	input[type="submit"],
	.entry-content a.wp-block-button__link,
	.wp-block-button a.wp-block-button__link,
	#sb_instagram #sbi_load .sbi_load_btn, 
	#sb_instagram .sbi_follow_btn a,
	.sl-image .kmp-tile-links a  {
		font-size: 14pt;
		padding: 5px 10px;		
	}
}

.kmp-tile-filter:focus,
.kmp-tile-filter:hover,
.kmp-theme-btn:focus,
.kmp-theme-btn:hover,
.kmp-tile-filter.kmp-tile-filter-active,
input[type="submit"]:focus,
input[type="submit"]:hover,
.entry-content a.wp-block-button__link:focus,
.entry-content a.wp-block-button__link:hover,
.wp-block-button a.wp-block-button__link:focus,
.wp-block-button a.wp-block-button__link:hover,
#sb_instagram #sbi_load .sbi_load_btn:focus, 
#sb_instagram #sbi_load .sbi_load_btn:hover, 
#sb_instagram .sbi_follow_btn a:focus,
#sb_instagram .sbi_follow_btn a:hover,
.sl-image .kmp-tile-links a:focus,
.sl-image .kmp-tile-links a:hover {
	background-color: var(--kmp-alt-colour) !important;
}

/* insta buttons */
#sb_instagram #sbi_load .sbi_load_btn,
#sb_instagram .sbi_follow_btn a {
	box-shadow: none !important;
}
#sb_instagram .sbi_follow_btn svg {
	font-size: 23px;
}

/* wysiwyg hacks */

#mceu_59,
#mceu_62,
#mceu_63,
#mceu_64,
#mceu_65,

#mceu_103,
#mceu_106,
#mceu_107,
#mceu_108,
#mceu_109,

#mceu_147,
#mceu_150,
#mceu_151,
#mceu_152,
#mceu_153,

#mceu_191,
#mceu_194,
#mceu_195,
#mceu_196,
#mceu_197,

#mceu_235,
#mceu_238,
#mceu_239,
#mceu_240,
#mceu_241

{ display: none; }


/* footer images */
.footer-nav-widgets-wrapper,
.footer-widgets-outer-wrapper { border: none; }

.footer-widgets-wrapper .widget_media_gallery .gallery-item {
	margin: 0 0 2.5em 0;
	padding: 0 0.5em;
}
.footer-widgets-wrapper .widget_media_gallery .gallery-item a.custom-link {
	max-width: 160px;
	position: relative;
	float: left;
	display: block;
	transition: opacity 200ms ease-out 0ms;
}

.footer-widgets-wrapper .widget_media_gallery .gallery-item a.custom-link:hover {
	opacity: 0.7;
}


/* tiles */

.kmp-tiles-wrapper {
	opacity: 0.001;
	transition: opacity 500ms ease-out 0ms;
	margin-top: 8rem;
}

.kmp-tiles-wrapper.initialized {
	opacity: 1;
}

.kmp-tile,
div.kmp-tile-sizer {
	box-sizing: border-box;
	position: relative;
	float: left;
	width: 33.333%;
	overflow: visible;
}
.kmp-tile.kmp-tile-big {	width: 66.666%; }

.kmp-tile-box {
	position: relative;
	float: left;
	width: 100%;
	border: 0.3em var(--kmp-theme-colour) solid;
	border-radius: .15em;
	padding: 0.6em;
}

div.kmp-tile-sizer-gutter { width: 5%; }
div.kmp-tile-sizer-gutter,
div.kmp-tile-sizer { visibility: hidden !important; }

/* tiles breakbpoints */
@media screen and (max-width: 768px)
{
	.kmp-tile,
	div.kmp-tile-sizer { width: 47%; }
	.kmp-tile.kmp-tile-big {	width: 100%; }	
}
@media screen and (max-width: 420px)
{
	.kmp-tile,
	div.kmp-tile-sizer { width: 100%; }
}

.kmp-tile-box > img,
.kmp-tile-box .kmp-tile-label {
	position: relative;
	float: left;
	clear: both;
	display: inline-block;
	width: 100%;
}

.kmp-tile-box > img.hasText,
.kmp-tile-box > a.kmp-tile-image-link > img.hasText {
	margin-bottom: .8em;
}


/* tile text */
.kmp-tile-title,
.kmp-tile-text {
	position: relative;
	float: left;
	clear: both;
	width: 100%;
	color: var(--kmp-font-colour);
}


.kmp-tile-links {
	position: absolute;
	bottom: 0;
	right: 0;
}

.kmp-tile-title {
	font-family: 'News Gothic Std', Arial;
	font-size: 16pt;
	letter-spacing: 0 !important;
	background: var(--kmp-alt-colour);
	color: #000;
	padding: 5px 15px 5px 40px;
	width: auto;
	margin: 1.6em 0 1.6em 0;
	transform: translateX(-54px);
	transition: color 200ms ease-out 0ms;
	word-break: normal;
}

/* lightbox */
.sl-overlay {
	background-color: #fff;
	opacity: 0.9;
}
.sl-image {
	border: 0.2em #000 solid;
	border-radius: .15em;
}

.sl-image .kmp-tile-title {
	position: absolute;
	z-index: 2;
}
.sl-wrapper .sl-image .sl-caption {
	background-color: rgba(255,255,255,1);
	color: var(--kmp-font-colour);
	font-size: 14pt;
}

.sl-additional-html {
	display: flex !important;
	justify-content: space-between;
	flex-wrap: wrap;
	align-items: center;
	border-top: 0.2em #000 solid;
}
.sl-image .kmp-link-spacer {
	color: #fff;
}

@media(max-width: 680px)
{
	.sl-additional-html { display: none !important; }
}

.sl-additional-html p { margin-bottom: 0; }
.sl-additional-html .kmp-tile-links {
	position: relative !important;
	float: right;
	top: auto !important;
	right: auto !important;
}

.sl-wrapper .sl-navigation button,
.sl-close,
.sl-counter { 
	color: #3e46fe !important;
	text-decoration: none !important;
	font-size: 44pt !important;
	font-family: 'HelveticaNeue', 'Helvetica Neue', Helvetica, Arial;
}

.sl-wrapper .sl-navigation button {
	font-size: 64pt !important;
}

.sl-counter {
	font-size: 14pt !important;
}


/* tile hover */
.kmp-tile-box > img {
	transition: filter 300ms ease-out 0ms;
}

.kmp-tile-box:not(.kmp-tile-nolink):hover > img,
.kmp-tile-box:not(.kmp-tile-nolink):focus > img {
	filter: grayscale(100%);
}

.kmp-tile-box:not(.kmp-tile-nolink):hover .kmp-tile-title {
	color: var(--kmp-hover-colour);
}


/* tile filter */
.kmp-tiles-filter-wrapper {
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	margin-top: 4em;
	margin-bottom: -4em;
}

.kmp-tile-filter {
	margin: 0 20px 20px 0;
}

.kmp-tile-filter:last-of-type {
	margin-right: 0;
}
.kmp-tile-filter:hover,
.kmp-tile-filter.kmp-tile-filter-active {
	background-color: var(--kmp-alt-colour) !important;
}


/* kultur pool detail page */
.single-pool_kultur .post-inner { padding-top: 0 !important; }


.kmp-pool-header {
	position: relative;
	float: left;
	clear: both;
	width: 100% !important;
	max-width: 100% !important;
	height: 50vh;
	margin-bottom: 8em;
	background-size: cover;
	background-position: 50% 50%;
	background-repeat: no-repeat;
}
@media (max-width:1000px)
{
	.kmp-pool-header {
		height: 33vh;
	}
}

.kmp-pool-section {
	position: relative;
	clear: both;
}


/* user bar */

.kmp-button-bar {
	position: relative;
	float: left;
	clear: both;
	width: 100%;
	display: flex;
	gap: 1em;
	justify-content: space-between;
	flex-wrap: wrap;
}

.kmp-user-bar {
	position: relative;
	float: left;
	clear: both;
	width: 100% !important;
	max-width: 100% !important;
	margin-bottom: -20px;
}

.kmp-user-bar .header-inner {
	display: flex;
	flex-wrap: wrap;
	justify-content:flex-end;
}

.kmp-user-bar .kmp-user-button {
	margin-left: 20px;
	margin-bottom: 20px;
	text-align: center;
}

.kmp-button-bar a,
.kmp-user-bar .kmp-user-button a,
.kplakat-interface a.kmp-user-button {
	position: relative;
	float: left;
	padding: 10px 20px;
	text-decoration: none;
	transition: background-color 200ms ease-out 0ms !important;
	border: 0.2em #000 solid;
	border-radius: .15em;
	font-family: 'News Gothic Std', Arial;
	font-size: 16pt;
	letter-spacing: 0 !important;
	color: #000 !important;
	background-color: transparent;
	transition: all 200ms ease-out 0ms;
}

.kmp-button-bar a:hover,
.kmp-button-bar a:focus-visible,
.kmp-user-bar .kmp-user-button a:hover,
.kmp-user-bar .kmp-user-button a:focus-visible,
.kplakat-interface a.kmp-user-button:hover,
.kplakat-interface a.kmp-user-button:focus-visible {
	background-color: var(--kmp-alt-colour);
}

/* coucou */
#kmp-coucou-kalender {
	width: 100%;
	border: 0.2em #000 solid;
	background-color: #f6f6f6;
	border-radius: .15em;
}

/* search form */
#searchForm {
	position: relative;
	margin:  0 auto;
	display: flex;
}
#searchForm input { width: 300px; max-width: 70vw; }
#searchForm button {
	background-color: transparent !important;
	background-image: url('data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/PjxzdmcgZW5hYmxlLWJhY2tncm91bmQ9Im5ldyAwIDAgMzIgMzIiIGlkPSJHbHlwaCIgdmVyc2lvbj0iMS4xIiB2aWV3Qm94PSIwIDAgMzIgMzIiIHhtbDpzcGFjZT0icHJlc2VydmUiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiPjxwYXRoIGQ9Ik0yNy40MTQsMjQuNTg2bC01LjA3Ny01LjA3N0MyMy4zODYsMTcuOTI4LDI0LDE2LjAzNSwyNCwxNGMwLTUuNTE0LTQuNDg2LTEwLTEwLTEwUzQsOC40ODYsNCwxNCAgczQuNDg2LDEwLDEwLDEwYzIuMDM1LDAsMy45MjgtMC42MTQsNS41MDktMS42NjNsNS4wNzcsNS4wNzdjMC43OCwwLjc4MSwyLjA0OCwwLjc4MSwyLjgyOCwwICBDMjguMTk1LDI2LjYzMywyOC4xOTUsMjUuMzY3LDI3LjQxNCwyNC41ODZ6IE03LDE0YzAtMy44NiwzLjE0LTcsNy03czcsMy4xNCw3LDdzLTMuMTQsNy03LDdTNywxNy44Niw3LDE0eiIgaWQ9IlhNTElEXzIyM18iLz48L3N2Zz4=');
	background-position: 50% 50%;
	background-size: auto 75%;
	background-repeat: no-repeat;
}


/* sidr/entry editing */
.sidr{
	display:block;
	position:fixed;
	top:0;
	height:100%;
	z-index:999999;
	width:700px;
	overflow-x:hidden;
	overflow-y:auto;
	background-color: rgba(62,70,254,0.2);
	padding: 20px;
	max-width: 100%
}
.sidr.left{
	left:-700px;
	right:auto
}

.sidr form.acf-form {
	padding: 0;
	margin: 0 0 10px;
}
.media-modal, .media-modal.acf-media-modal {
	z-index: 999999 !important;
}
.sidr .acf-fields > .acf-field {
	padding-left: 0;
	padding-right: 0;
}

.primary-menu > li:first-of-type {
	margin-left: 0 !important;
}

@media(max-width: 1200px)
{
	.primary-menu > li:not(:first-of-type) {
		margin-left: 2em !important;
	}
	.primary-menu > li > a {
		font-size: 18pt;
	}
}

@media(max-width: 1100px)
{
	.primary-menu > li > a {
		font-size: 16pt;
	}
}